Subject: Re: FIND? (cd . && ln -s FIND: FIND:)
From: Chris Faylor <[email-masked]>
To: Benjamin Kosnik <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 21 Feb 2000 18:30:37 -0500

On Mon, Feb 21, 2000 at 01:02:08PM -0800, Benjamin Kosnik wrote:
>Getting this error when trying to make libstdc++-v3 hosted natively on
>cygwin. I cannot find reference to this on the mailing list archives.
>Is this a setup error, a lack of current binutils, or something else
>that I'm missing?

You don't have the cygwin utilities first in your path and are running
the Windows version of 'find' which has no relationship to the UNIX
version.

cgf

>Error message:
>
>[snip]
>make[2]: Entering directory `/home/bkoz/bld-cygwin-libstdc++/src'
>/bin/sh ../libtool --mode=link gcc -D_GNU_SOURCE -fno-implicit-templates -Wall -Wno-format -W -Wwrite-strings -Winline  -g -fno-honor-std   -o libstdc++.la -rpath /home/bkoz/H-cygwin-libstdc++/lib -version-info 3:0:0 -lm limitsMEMBERS.lo complex.lo complexf.lo complexl.lo complex_io.lo stdexcept.lo ios.lo stdstreams.lo locale.lo localename.lo basic_file.lo locale-inst.lo stl-inst.lo misc-inst.lo valarray-inst.lo stringADDCS.lo stringADDPS.lo stringADDSC.lo stringADDSP.lo stringADDSS.lo stringBIST.lo stringBOST.lo stringCHTR.lo stringEQPS.lo stringEQSP.lo stringEQSS.lo stringEXTRA.lo stringGEPS.lo stringGESP.lo stringGESS.lo stringGETLI.lo stringGTPS.lo stringGTSP.lo stringGTSS.lo stringINSER.lo stringLEPS.lo stringLESP.lo stringLESS.lo stringLTPS.lo stringLTSP.lo stringLTSS.lo stringMAIN.lo stringNEPS.lo stringNESP.lo stringNESS.lo stringSCOPY.lo wstringADDCS.lo wstringADDPS.lo wstringADDSC.lo wstringADDSP.lo wstringADDSS.lo wstringBIST.lo wstringBOST.lo wstringCHTR.lo wstrin!
!
g!
>EQPS.lo wstringEQSP.lo wstringEQSS.lo wstringEXTRA.lo wstringGEPS.lo wstringGESP.lo wstringGESS.lo wstringGETLI.lo wstringGTPS.lo wstringGTSP.lo wstringGTSS.lo wstringINSER.lo wstringLEPS.lo wstringLESP.lo wstringLESS.lo wstringLTPS.lo wstringLTSP.lo wstringLTSS.lo wstringMAIN.lo wstringNEPS.lo wstringNESP.lo wstringNESS.lo wstringSCOPY.lo ../math/libmath.la ../libio/libio.la  
>libtool: link: warning: undefined symbols not allowed in i686-pc-cygwin shared libraries
>rm -fr .libs/libstdc++.la .libs/libstdc++.* .libs/libstdc++.*
>rm -fr .libs/libstdc++.lax
>mkdir .libs/libstdc++.lax
>rm -fr .libs/libstdc++.lax/libmath.a
>mkdir .libs/libstdc++.lax/libmath.a
>(cd .libs/libstdc++.lax/libmath.a && ar x /home/bkoz/bld-cygwin-libstdc++/src/../math/.libs/libmath.a)
>rm -fr .libs/libstdc++.lax/libio.a
>mkdir .libs/libstdc++.lax/libio.a
>(cd .libs/libstdc++.lax/libio.a && ar x /home/bkoz/bld-cygwin-libstdc++/src/../libio/.libs/libio.a)
>(cd . && ln -s FIND: FIND:)
>ln: cannot create symbolic link `FIND:' to `FIND:': No such file or directory
>make[2]: *** [libstdc++.la] Error 1
>
>
>
>
>
>
>Details about my setup. I am mostly using the cygnus cygwin cd 1.0,
>with the gcc-2.95.2, and a newer version of libtool (1.3.4).
>
>%which FIND
>/cygdrive/c/WINNT/system32/FIND
>
>%FIND
>FIND: Parameter format not correct
>
>%libtool --version
>ltmain.sh (GNU libtool) 1.3.4 (1.385.2.196 1999/12/07 21:47:57)
>
>% which ar
>/bin/ar
>
>% ar version
>GNU ar 2.9-cygwin-990830 Copyright 1997, 1998, 1999 Free Software Foundation, Inc. This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.

--
Want to unsubscribe from this list?
Send a message to [email-masked]